//   Main.java --- JDBForms -- gestionnaire de fiches SQL

//   Copyright (C) 2004 Valvassori Mose <moise@valvassori.org>

//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.

//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.

//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package org.djedi.jdbforms;

import org.w3c.dom.Document;
import java.net.URL;
import org.djedi.xml.XMLFacade;
import java.net.MalformedURLException;
import javax.swing.JComponent;
import java.util.Locale;
import java.sql.DriverManager;
import java.util.Enumeration;


/**
 * Classe de dmarage de JDBForms.
 * @author "Valvassori Mose" <moise@valvassori.org>
 * @version $Id: Main.java,v 1.11 2004/01/30 18:27:53 djedi Exp $
 * @since Fri Jan 16 09:26:18 2004
 */
public class Main {
  public static void main(String[] args) throws Exception{
    DriverManager.setLogStream(System.out);
    // URL url = new URL("file:/home/djedi/projets/jdbforms/drivers/postgresql.jar");
    // URL [] urls = {
    //   url
    // };
    // URLClassLoader cll = URLClassLoader.newInstance(urls);
    // JarClassFinder cf = new JarClassFinder(new File("/home/djedi/projets/jdbforms/drivers/postgresql.jar"));
    // List l = cf.find(java.sql.Driver.class);
    // System.out.println(l);
    // System.out.println(Class.forName(((Class)l.get(0)).getName(),true,cll));

    // System.out.println("aaa");
    for (Enumeration en=DriverManager.getDrivers(); en.hasMoreElements();)
      System.out.println(en.nextElement());
    

    // System.out.println(cll.getURLs()[0]);
    // System.exit(0);
    JComponent.setDefaultLocale(Locale.FRANCE);

    try {
      MainFrame mf = new MainFrame();
      if (args.length >0) {
	Porfolio doc = new Porfolio(new URL(args[0]));
	mf.setPorfolio(doc);
      }
      mf.pack();
      mf.show();
    } catch (MalformedURLException e) {
      e.printStackTrace();
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }
}
