//   QuitAction.java --- JDBForms

//   Copyright (C) 2004 Valvassori Mose <moise@valvassori.org>

//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.

//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.

//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package org.djedi.jdbforms.actions;

import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;

import org.djedi.jdbforms.*;


/**
 * Action qui quitte l'application ...
 * @author "Valvassori Mose" <moise@valvassori.org>
 * @version $Id: QuitAction.java,v 1.2 2004/06/13 09:23:34 djedi Exp $
 * @since Wed Jan 21 17:09:26 2004
 */
public class QuitAction extends AbstractAction {
  /**
   * Creates a new <code>LoadPortfolioAction</code> instance.
   *
   */
  public QuitAction (MainFrame f) {
    super(f, "Quit",
	  null,null,
 	  // "/toolbarButtonGraphics/general/Quit24.gif",
 	  // "/toolbarButtonGraphics/general/Quit16.gif",
	  "Quit the application", KeyEvent.VK_Q);
  }

  public void actionPerformed(ActionEvent e) {
    System.exit(0);
  } 
}
