//   InsertFormsPanel.java --- Fungus -- A multi agent simulation framework

//   Copyright (C) 2004 Valvassori Mose <moise@valvassori.org>

//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.

//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.

//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package org.djedi.jdbforms.forms;

import java.awt.event.ActionEvent;

import org.djedi.jdbforms.DBComposer;
import org.w3c.dom.Element;
import javax.swing.ImageIcon;


/**
 * Un formulaire pour les insertions
 * @author "Valvassori Mose" <moise@valvassori.org>
 * @version $Id: InsertFormsPanel.java,v 1.4 2004/06/13 09:23:35 djedi Exp $
 * @since Wed Jun  2 11:18:14 2004
 */
public class InsertFormsPanel extends FormsPanel {
  /**
   * Creates a new <code>InsertFormsPanel</code> instance.
   *
   */
  public InsertFormsPanel (Element elt) {
    super(elt);
    composeForm(elt,this);
    setIcon(new ImageIcon(elt.getClass().getResource("/toolbarButtonGraphics/development/JarAdd16.gif")));

    validToolbar();
  }


  protected void actionPerformed(ActionEvent actionEvent) {
    DBComposer.insertSQL(this);
  }
}
