//   ToolBarButton.java --- DJedi Lib

//   Copyright (C) 2004 Valvassori Mose <moise@valvassori.org>

//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.

//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.

//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package org.djedi.swing;

import javax.swing.JButton;
import javax.swing.Action;



/**
 * Un bouton  insrer dans une JToolBal
 * @author "Valvassori Mose" <moise@valvassori.org>
 * @version $Id: ToolBarButton.java,v 1.2 2004/01/22 17:22:59 djedi Exp $
 * @since Wed Jan 21 20:04:55 2004
 */
public class ToolBarButton extends JButton {
  public void setAction(Action action) {
    super.setAction(action);
    if (getIcon()!=null)    
      setText(null);
  }
}
