//   ByteClassLoader.java --- DJedi Lib

//   Copyright (C) 2004 Valvassori Mose <moise@valvassori.org>

//   This program is free software; you can redistribute it and/or modify
//   it under the terms of the GNU General Public License as published by
//   the Free Software Foundation; either version 2 of the License, or
//   (at your option) any later version.

//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.

//   You should have received a copy of the GNU General Public License
//   along with this program; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

package org.djedi.util;

/**
 * Lit une classe  partir d'un tableau de bytes
 * @author "Valvassori Mose" <moise@valvassori.org>
 * @version $Id: ByteClassLoader.java,v 1.1 2004/01/24 11:22:51 djedi Exp $
 * @since Sat Jan 24 11:35:47 2004
 */
public class ByteClassLoader extends ClassLoader {
  /**
   * Creates a new <code>ByteClassLoader</code> instance.
   *
   */
  public ByteClassLoader (ClassLoader l) {
    super(l);
  }

  public Class defineClass(byte[] b) {
    return defineClass(null,b,0,b.length);
  }
}
